
// DemoVCDlg.h : header file
//

#pragma once
#include "afxwin.h"
#include "Hard.h"
#include "MyView.h"
// CDemoVCDlg dialog
class CDemoVCDlg : public CDialogEx
{
// Construction
public:
	CDemoVCDlg(CWnd* pParent = NULL);	// standard constructor
	
// Dialog Data
#ifdef AFX_DESIGN_TIME
	enum { IDD = IDD_DEMOVC_DIALOG };
#endif

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support


// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
public:
	void updateControls();
	CMyView m_View;
	CHard m_Hard;
	afx_msg void OnStnClickedStaticView();
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnTimer(UINT_PTR nIDEvent);
	afx_msg void OnCbnSelchangeCombo1();
	afx_msg void OnEnChangeEdit1();
	CComboBox m_cboCouple;
	CComboBox m_cboVoltDiv;
	CEdit m_editVPos;
	CEdit m_editBufferlen;
	CEdit m_editReadLen;
	CEdit m_editDisplayLen;
	CComboBox m_cboCH;
	afx_msg void OnEnKillfocusEdit1();
	afx_msg void OnEnKillfocusEdit2();
	afx_msg void OnEnKillfocusEdit3();
	afx_msg void OnEnKillfocusEdit4();
	afx_msg void OnCbnSelchangeCombo2();
	afx_msg void OnCbnSelchangeCombo3();
	CEdit m_editSampleRate;
	afx_msg void OnEnKillfocusEdit5();
	afx_msg void OnBnClickedCheck1();
	CButton m_chkOnOff;
};
